<div *ngIf="currentWorkspace" class="modal is-active">

  <div class="modal-background" (click)="hideManageModulesViewModal()"></div>

  <div class="modal-card">

    <header class="modal-card-head">
      <p class="modal-card-title">Manage modules view</p>
      <button class="delete" aria-label="close" (click)="hideManageModulesViewModal()"></button>
    </header>

    <section class="modal-card-body">

      <div *ngFor="let module of localyEnabledModules" class="box">
        <div class="level">
          <div class="level-left">
            <div class="level-item">
              <div class="content">
                <h5 class="subtitle is-5 has-text-primary">{{ module.module.name }}</h5>
                <p class="help is-grey-dark">{{ module.module.description | truncate }}</p>
              </div>
            </div>
          </div>
          <div class="level-right">
            <div class="level-item">
              <input [id]="module.module.name" type="checkbox" [name]="module.module.name" class="switch is-rounded is-primary form-control" [checked]="module.localyEnabled" [(ngModel)]="module.localyEnabled" (ngModelChange)="localyEnabledChange(module)">
              <label for="{{ module.module.name }}" class="label"><span *ngIf="module.localyEnabled; else disabledBloc">Visible</span><ng-template #disabledBloc><span>Hidden</span></ng-template></label>
            </div>
          </div>
        </div>
      </div>

      <div *ngIf="localyEnabledModules.length === 0" class="notification is-primary">
        No module in this workspace
      </div>

    </section>

    <footer class="modal-card-foot">
      <button class="button" (click)="hideManageModulesViewModal()">Cancel</button>
    </footer>

  </div>

</div>
